org.eclipse.microprofile.rest.client.tck.ssl

## Class SslMutualTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest
    - - org.eclipse.microprofile.rest.client.tck.ssl.SslMutualTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class SslMutualTest
    extends AbstractSslTest

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest

`anotherTruststore, CERT_LOCATION_FILE, clientKeystore, clientKeystoreFromClasspath, clientTruststore, clientTruststoreFromClasspath, clientWrongHostnameTruststore, clientWrongHostnameTruststoreFromClasspath, serverKeystore, serverTruststore, serverWrongHostnameKeystore`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`SslMutualTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `shouldFailWithInvalidClientSignature()`
`void` `shouldFailWithInvalidClientSignatureCDI()`
`void` `shouldFailWithNoClientSignature()`
`void` `shouldFailWithNoClientSignatureCDI()`
`void` `shouldWorkWithClientSignature()`
`void` `shouldWorkWithClientSignatureCDI()`
`void` `shouldWorkWithClientSignatureFromClasspathCDI()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.ssl.AbstractSslTest

`getKeyStore, initHttpsServer, stopHttpsServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SslMutualTest

    public SslMutualTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### shouldFailWithNoClientSignature

    public void shouldFailWithNoClientSignature()
                                         throws Exception

Throws:
  `Exception`

#### shouldWorkWithClientSignature

    public void shouldWorkWithClientSignature()
                                       throws Exception

Throws:
  `Exception`

#### shouldFailWithInvalidClientSignature

    public void shouldFailWithInvalidClientSignature()
                                              throws Exception

Throws:
  `Exception`

#### shouldFailWithNoClientSignatureCDI

    public void shouldFailWithNoClientSignatureCDI()

#### shouldWorkWithClientSignatureCDI

    public void shouldWorkWithClientSignatureCDI()

#### shouldWorkWithClientSignatureFromClasspathCDI

    public void shouldWorkWithClientSignatureFromClasspathCDI()

#### shouldFailWithInvalidClientSignatureCDI

    public void shouldFailWithInvalidClientSignatureCDI()